* {
    box-sizing: border-box;
}

body {
    font-family: Tahoma, Arial;
}


.container {
    margin: 20px auto;
    width: 1000px;
}

.container .row {
    display: flex;
}
.container hr {
    width: 1000px;
    border: 1px solid #eee;
}
.container .game-info {
    display: flex;
}

.container .game-info .game-name {
    flex: 1;
}

.container .game-info .category {
    flex: 1;
    text-align: right
}

.container .game-info .category span {
    font-weight: bold;
    color: #e91e63;
    text-transform: capitalize;
}

.hangman-draw {
    height: 324px;
    background-color: #f8f8f8;
    padding: 20px;
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 1;
}

.hangman-draw .theDraw {
    position: absolute;
    bottom: 20px;
    background-color: black;
    width: 60px;
    height: 5px;
    left: 60px;
    display: none;
}


.hangman-draw .theDraw .the-stand {
    position: absolute;
    width: 5px;
    height: 280px;
    background-color: black;
    bottom: 5px;
    left: 25px;
    display: none;
}
.hangman-draw .theDraw .the-stand::before {
    content: "";
    position: absolute;
    background: black;
    width: 40px;
    height: 5px;
    top: 43px;
    left: -2px;
    transform: rotate(-40deg);
}

.hangman-draw .theDraw .the-hang {
    display: none;
}
.hangman-draw .theDraw .the-hang::before {
    content: "";
    position: absolute;
    height: 5px;
    width: 150px;
    background-color: black;
    bottom: 250px;
    left: 25px;
}

.hangman-draw .theDraw .the-hang::after  {
    content: "";
    position: absolute;
    height: 35px;
    width: 5px;
    background-color: black;
    bottom: 220px;
    left: 170px;
}

.hangman-draw .theDraw .the-rope {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    border: 5px dashed black;
    position: absolute;
    bottom: 122px;
    left: 123px;
    display: none;
}

.hangman-draw .theDraw .the-man .the-head {
    width: 70px;
    height: 70px;
    position: relative;
    left: 137px;
    bottom: 200px;
    border: 5px solid black;
    border-radius: 50%;
    display: none;
}
.hangman-draw .theDraw .the-man .the-head::before {
    content: "*";
    position: absolute;
    font-size: 18px;
    left: 10px;
    top: 15px;
}
.hangman-draw .theDraw .the-man .the-head::after {
    content: "*";
    position: absolute;
    font-size: 18px;
    right: 10px;
    top: 15px;
}
.hangman-draw .theDraw .the-man .the-body {
    position: absolute;
    top: -130px;
    left: 170px;
    width: 5px;
    height: 100px;
    background: black;
    display: none;
}
.hangman-draw .theDraw .the-man .the-hands {
    display: none;
}
.hangman-draw .theDraw .the-man .the-hands::before {
    content: '';
    left: 118px;
    top: -108px;
    transform: rotate(30deg);
}
.hangman-draw .theDraw .the-man .the-hands::before,
.hangman-draw .theDraw .the-man .the-hands::after {
    position: absolute;
    width: 60px;
    height: 5px;
    background: black;
}
.hangman-draw .theDraw .the-man .the-hands::after {
    content: '';
    left: 168px;
    top: -108px;
    transform: rotate(-30deg);
}

.hangman-draw .theDraw .the-man .the-legs {
    display: none;
}
.hangman-draw .theDraw .the-man .the-legs::before {
    content: '';
    left: 118px;
    top: -20px;
    transform: rotate(-30deg);
}
.hangman-draw .theDraw .the-man .the-legs::before,
.hangman-draw .theDraw .the-man .the-legs::after {
    position: absolute;
    width: 60px;
    height: 5px;
    background: black;
}
.hangman-draw .theDraw .the-man .the-legs::after {
    content: '';
    left: 168px;
    top: -20px;
    transform: rotate(30deg);
}


.hangman-draw.wrong-1 .theDraw {
    display: block;
}

.hangman-draw.wrong-2 .theDraw .the-stand {
    display: block;
}

.hangman-draw.wrong-3 .theDraw  .the-hang {
    display: block;
}

.hangman-draw.wrong-4 .theDraw .the-rope {
    display: block;
}


.hangman-draw.wrong-5 .theDraw  .the-head {
    display: block;
}

.hangman-draw.wrong-6 .theDraw .the-body {
    display: block;
}

.hangman-draw.wrong-7 .theDraw .the-hands {
    display: block;
}

.hangman-draw.wrong-8 .theDraw .the-legs {
    display: block;
}

.letters {
    padding: 15px;
    flex: 1;
    text-align: center;
}
.letters.game-over {
    pointer-events: none;
}

.letters .letters-box {
    width: 55px;
    height: 55px;
    font-size: 24px;
    font-weight: bold;
    line-height: 55px;
    text-transform: uppercase;
    background: #2196F3;
    color: white;
    display: inline-block;
    margin-bottom: 10px;
    margin-right: 10px;
    cursor: pointer;
    transition: transform 0.3s;
}

.letters .letters-box:hover {
    transform: scale(1.1);
}

.letters .letters-box.clicked {
    opacity: 0.2;
    pointer-events: none;

}

.letters-guess {
    margin: 10px auto 0;
    background-color: #f8f8f8;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 104px;
}

.letters-guess span {
    width: 50px;
    height: 50px;
    background-color: white;
    color: #2196F3;
    border-bottom: 3px solid black;
    margin-right: 10px;
    transition: transform 0.3s;
    cursor: pointer;
    font-size: 24px;
    text-align: center;
    line-height: 2;
}

.letters-guess span:hover:not(.has-space) {
    transform: scale(1.1);
}
.letters-guess .has-space {
    position: relative;
    border-bottom: none;
    background-color: none;
}

.letters-guess .has-space::after {
    content: '';
    position: absolute;
    background-color: black;
    width: 20px;
    height: 3px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.failed-div {
    position: absolute;
    left: 50%;
    top: 40%;
    transform: translate(-50%, -50%);
    width: 600px;
    height: 120px;
    color: white;
    background: #2196F3;
    padding: 20px;
    text-align: center;
    line-height: 2.3;
}

.failed-div span {
    text-transform: capitalize;
    margin-left: 5px;
    font-weight: bold;
    font-size: 20px;
}

.failed-div button {
    display: block;
    margin: 0 auto;
    padding: 5px 15px;
    background: white;
    border: none;
    color: #2196f3;
    font-size: 18px;
    border-radius: 5px;
    transition: transform .3s;
    cursor: pointer;
}

.failed-div button:hover {
    transform: rotate(1.1);
}